package com.pan_american.android.ui.efficiency_tools.itinerary

import android.os.Bundle
import com.pan_american.android.R
import com.pan_american.android.base.BaseActivity
import com.pan_american.android.databinding.ActivityAddItineraryBinding
import com.pan_american.android.databinding.LayoutTitleBinding

class AddItineraryActivity : BaseActivity<ActivityAddItineraryBinding>() {

    private lateinit var titleBinding: LayoutTitleBinding

    override fun getViewBinding() = ActivityAddItineraryBinding.inflate(layoutInflater)

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        initTitle()
    }

    override fun initTitle() {
        titleBinding = LayoutTitleBinding.bind(binding.root).apply {
            titleText.text = resources.getString(R.string.add_itinerary)
            backButton.setOnClickListener {
                back()
            }
        }
    }
}